export declare const resources: {
    cs: import("./types").Dictionary;
    en: import("./types").Dictionary;
};
export declare class Language {
    private locale;
    private resource;
    constructor();
    setup(lang: string, resources: Record<string, Record<string, any>>): void;
    addResource<D>(lang: string, resource: D): void;
    setLocale(val: string): void;
    getLocale(): string;
    getLocaleResource(locale: string): Record<string, any>;
}
export declare const lang: Language;
